## org.opengis.filter.spatial
Interface BoundedSpatialOperator

All Superinterfaces:
  Filter, SpatialOperator

All Known Subinterfaces:
  Contains, Crosses, Equals, Intersects, Overlaps, Touches, Within

    public interface BoundedSpatialOperator

extends SpatialOperator

Marker interface for spatial operators that are a subset of the BBOX relationship.

This interface can be used to quickly check when an BBox optimization is applicable.

Since:
  GeoAPI 2.1

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary

Methods inherited from interface Filter
`accept, evaluate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.